package com.backendsys.modules.b2c.good.service;

import com.backendsys.modules.b2c.good.entity.GoodCategory;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface GoodCategoryService {

    // 获取商品分类列表
    PageEntity selectGoodCategoryList(GoodCategory goodCategory);
    // 获取商品分类详情
    Map<String, Object> selectGoodCategoryDetail(GoodCategory goodCategory);
    // 创建商品分类
    Map<String, Object> insertGoodCategory(GoodCategory goodCategory);
    // 编辑商品分类
    Map<String, Object> updateGoodCategory(GoodCategory goodCategory);
    // 删除商品分类
    Map<String, Object> deleteGoodCategory(GoodCategory goodCategory);
    
}
